Bug 973970 - [abrt] zyGrib-6.1.4-2.fc18: GriddedPlotter::draw_CoveredZone: Process /usr/bin/zyGrib was killed by signal 11 (SIGSEGV)
[abrt] zyGrib-6.1.4-2.fc18: GriddedPlotter::draw_CoveredZone: Process /usr/bi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zyGrib (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Zhukov
Fedora Extras Quality Assurance
abrt_hash:a471cce66ca78ab74c4bedeab21...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 04:03 EDT by collura
Modified: 2014-06-18 03:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:48:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.15 KB, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: cgroup (132 bytes, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: core_backtrace (4.70 KB, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: dso_list (17.03 KB, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: environ (1.61 KB, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: maps (80.89 KB, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: open_fds (3.94 KB, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: proc_pid_status (935 bytes, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details
File: var_log_messages (311 bytes, text/plain)
2013-06-13 04:03 EDT, collura
no flags Details

  None (edit)
Description collura 2013-06-13 04:03:07 EDT
Description of problem:
think that this crash happened just after a data download completed and as the info was being processed i had went to another workspace to do another task while the map was being prepared.  while at the other task i got the abrt warning about zyGrib crash.  restarted the application and map data looked ok.  didnt check logs though.

Version-Release number of selected component:
zyGrib-6.1.4-2.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        zyGrib
crash_function: GriddedPlotter::draw_CoveredZone
executable:     /usr/bin/zyGrib
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 GriddedPlotter::draw_CoveredZone at GriddedPlotter.cpp:374
 #1 MapDrawer::draw_MeteoData_Gridded at MapDrawer.cpp:410
 #2 MapDrawer::draw_GSHHS_and_GriddedData at MapDrawer.cpp:368
 #3 MapDrawer::createPixmap_GriddedData at MapDrawer.cpp:936
 #4 GribAnimator::createImages at GribAnimator.cpp:315
 #5 GribAnimator::GribAnimator at GribAnimator.cpp:423
 #6 MainWindow::slotCreateAnimation at MainWindow.cpp:976
 #7 QMetaObject::activate at kernel/qobject.cpp:3539
 #8 QAction::triggered at .moc/release-shared/moc_qaction.cpp:276
 #9 QAction::activate at kernel/qaction.cpp:1257
Comment 1 collura 2013-06-13 04:03:10 EDT
Created attachment 760515 [details]
File: backtrace
Comment 2 collura 2013-06-13 04:03:14 EDT
Created attachment 760516 [details]
File: cgroup
Comment 3 collura 2013-06-13 04:03:17 EDT
Created attachment 760517 [details]
File: core_backtrace
Comment 4 collura 2013-06-13 04:03:21 EDT
Created attachment 760518 [details]
File: dso_list
Comment 5 collura 2013-06-13 04:03:24 EDT
Created attachment 760519 [details]
File: environ
Comment 6 collura 2013-06-13 04:03:26 EDT
Created attachment 760520 [details]
File: limits
Comment 7 collura 2013-06-13 04:03:29 EDT
Created attachment 760521 [details]
File: maps
Comment 8 collura 2013-06-13 04:03:32 EDT
Created attachment 760522 [details]
File: open_fds
Comment 9 collura 2013-06-13 04:03:34 EDT
Created attachment 760523 [details]
File: proc_pid_status
Comment 10 collura 2013-06-13 04:03:38 EDT
Created attachment 760524 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2013-12-21 08:59:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:48:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.